Index: src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java	(revision 4179)
+++ src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java	(working copy)
@@ -16,6 +16,7 @@
  */
 package uk.me.parabola.imgfmt.app.trergn;
 
+import uk.me.parabola.imgfmt.Utils;
 import uk.me.parabola.imgfmt.ReadFailedException;
 import uk.me.parabola.imgfmt.app.Area;
 import uk.me.parabola.imgfmt.app.CommonHeader;
@@ -164,7 +165,11 @@
 		writer.put3s(area.getMaxLat());
 		writer.put3s(area.getMaxLong());
 		writer.put3s(area.getMinLat());
-		writer.put3s(area.getMinLong());
+		// handle special case, write -180 instead of 180 to avoid assertion
+		if (area.getMinLong() == Utils.MAX_LON_MAP_UNITS)
+			writer.put3s(Utils.MIN_LON_MAP_UNITS);
+		else
+			writer.put3s(area.getMinLong());
 
 		writer.put4(getMapLevelsPos());
 		writer.put4(getMapLevelsSize());
